Package uk.ac.starlink.vo

## Interface EndpointSet

-     public interface EndpointSet

  Aggregates the set of related HTTP endpoints that together provide services relating to a notional TAP service. In general (though not necessarily for use in a particular context) any of the various endpoints returned here may be null, if there is nowhere that such a resource can be found. However, non-null endpoints do not guarantee that the corresponding resource actually exists.
  Since:
    18 Mar 2016
  Author:
    Mark Taylor
  See Also:
    `Endpoints`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.URL` | `getAsyncEndpoint​()` | Returns the endpoint for asynchronous TAP queries.
    `java.net.URL` | `getAvailabilityEndpoint​()` | Returns the endpoint at which the VOSI availability document may be found.
    `java.net.URL` | `getCapabilitiesEndpoint​()` | Returns the endpoint at which the VOSI capabilities document may be found.
    `java.net.URL` | `getExamplesEndpoint​()` | Returns the endpoint at which a DALI/TAP examples document may be found.
    `java.lang.String` | `getIdentity​()` | Returns a label for this service.
    `java.net.URL` | `getSyncEndpoint​()` | Returns the endpoint for synchronous TAP queries.
    `java.net.URL` | `getTablesEndpoint​()` | Returns the endpoint at which the VOSI tableset document may be found.

- - ### Method Detail

    - #### getIdentity

          java.lang.String getIdentity​()

      Returns a label for this service. It should usually be the base URL for the TAP service, if one is known.
      Returns:
        tap service identity string

    - #### getSyncEndpoint

          java.net.URL getSyncEndpoint​()

      Returns the endpoint for synchronous TAP queries. Typically `<baseUrl>/sync`.
      Returns:
        sync query endpoint

    - #### getAsyncEndpoint

          java.net.URL getAsyncEndpoint​()

      Returns the endpoint for asynchronous TAP queries. Typically `<baseUrl>/async`.
      Returns:
        async query endpoint

    - #### getTablesEndpoint

          java.net.URL getTablesEndpoint​()

      Returns the endpoint at which the VOSI tableset document may be found. Typically `<baseUrl>/tables`.
      Returns:
        tables endpoint

    - #### getCapabilitiesEndpoint

          java.net.URL getCapabilitiesEndpoint​()

      Returns the endpoint at which the VOSI capabilities document may be found. Typically `<baseUrl>/capabilities`.
      Returns:
        capabilities endpoint

    - #### getAvailabilityEndpoint

          java.net.URL getAvailabilityEndpoint​()

      Returns the endpoint at which the VOSI availability document may be found. Typically `<baseUrl>/availability`.

    - #### getExamplesEndpoint

          java.net.URL getExamplesEndpoint​()

      Returns the endpoint at which a DALI/TAP examples document may be found. Typically `<baseUrl>/examples`.
      Returns:
        examples endpoint

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.